<?php

namespace app\workerapi\controller;

use app\workerapi\logic\MasterWorkerCustomerLogic;
use app\workerapi\validate\MasterWorkerCustomerValidate;

class MasterWorkerCustomerController extends BaseApiController
{
    public function submitCustomerProblem()
    {
        $params =  (new MasterWorkerCustomerValidate())->post()->goCheck('changeIdCard');
        $result = MasterWorkerCustomerLogic::submitCustomerProblem($params, $this->userId);
        if (true === $result) {
            return $this->success('操作成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCustomerLogic::getError());
    }
}